PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : php neu installieren



Kuehner
06.05.2005, 20:48
Hallo,

Ich habe schon vor einer Weile einen Apache-Server mit php installiert.

Nun möchte ich php updaten, um aus Postgresql-Unterstützung zu haben. Wenn ich mit phpinfo(); die Daten auslese, bekomme ich das Configure-Kommando. Das habe ich einfach um --with-pgsql=shared erweitert.

Nachdem ich nun die alte Version deinstalliert habe (war ein Slackware-Package) und die neue installiert, bekomme ich mit phpinfo(); immer noch die alte php-Version angezeigt... natürlich ohne postgresql-Unterstützung.

An was könnte das liegen? Ich hätte schon Lust, die Festplatte wegzuschmeissen und das ganze Ding nochmal neu aufzuziehen... doch ich habe noch ein bischen Hoffnung, dass das nicht nötig ist!

Gruss

Sebastian


Nachtrag: Wenn ich php5 installieren möchte mit denselben Parametern kommen schon bei make 100 errors, wie z.B. main/internal_functions_cli.lo(.data+0x34): undefined reference to `libxml_module_entry' u.v.m.

name
11.05.2005, 22:17
Saug dir doch das neue auch als slack pkg